Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class Value

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.Value

    class Value
    extends Object

A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

author:
  Peter Niederwieser

Constructor Summary
`Value(Object value, int column)`

Method Summary
`int` | `getColumn()`
`Object` | `getValue()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Value

    public Value(Object value, int column)

Method Detail

### getColumn

    public int getColumn()

### getValue

    public Object getValue()

Copyright © 2003-2009 The Codehaus. All rights reserved.